package com.engine.salary.mapper.siaccount;

import com.engine.salary.entity.siaccount.po.ExcelInsuranceDetailPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author songyang
 */
public interface ExcelInsuranceDetailMapper {

    /**
     * 查询对比数据
     * @param billMonth 账单月份
     * @param paymentOrganization 个税扣缴义务人
     * @param employeeId 人员id
     * @return
     */
    List<ExcelInsuranceDetailPO> queryCompareList(@Param("billMonth") String billMonth, @Param("paymentOrganization") Long paymentOrganization, @Param("employeeId") Long employeeId);

    /**
     * 根据id删除
     *
     * @param id
     */
    void deleteById(@Param("id") Long id);

    /**
     * 根据id批量删除
     */
    void batchDelByIds(@Param("ids") Collection<Long> ids);

    /**
     * 批量保存
     */
    void batchSave(@Param("accounts") Collection<ExcelInsuranceDetailPO> accounts);

    List<ExcelInsuranceDetailPO> listAll();

    void updateBatchSelective(@Param("list")List<ExcelInsuranceDetailPO> excelInsuranceDetailPOS);
}
